package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ShareItem extends JceStruct {
    static MiniProgramInfo cache_miniProgramInfo;
    static ArrayList cache_sharePicList;
    public String captionKey;
    public String circleShareKey;
    public MiniProgramInfo miniProgramInfo;
    public String shareContent;
    public String shareContentTail;
    public String shareImgUrl;
    public ArrayList sharePicList;
    public String shareSingleTitle;
    public byte shareStyle;
    public String shareSubtitle;
    public String shareTitle;
    public String shareUrl;

    static {
        ShareItem.cache_sharePicList = new ArrayList();
        ShareItem.cache_sharePicList.add(new PicData());
        ShareItem.cache_miniProgramInfo = new MiniProgramInfo();
    }

    public ShareItem() {
        super();
        this.shareUrl = "";
        this.shareTitle = "";
        this.shareSubtitle = "";
        this.shareImgUrl = "";
        this.circleShareKey = "";
        this.shareSingleTitle = "";
        this.shareContent = "";
        this.shareContentTail = "";
        this.shareStyle = 0;
        this.sharePicList = null;
        this.miniProgramInfo = null;
        this.captionKey = "";
    }

    public ShareItem(String arg3, String arg4, String arg5, String arg6, String arg7, String arg8, String arg9, String arg10, byte arg11, ArrayList arg12, MiniProgramInfo arg13, String arg14) {
        super();
        this.shareUrl = "";
        this.shareTitle = "";
        this.shareSubtitle = "";
        this.shareImgUrl = "";
        this.circleShareKey = "";
        this.shareSingleTitle = "";
        this.shareContent = "";
        this.shareContentTail = "";
        this.shareStyle = 0;
        this.sharePicList = null;
        this.miniProgramInfo = null;
        this.captionKey = "";
        this.shareUrl = arg3;
        this.shareTitle = arg4;
        this.shareSubtitle = arg5;
        this.shareImgUrl = arg6;
        this.circleShareKey = arg7;
        this.shareSingleTitle = arg8;
        this.shareContent = arg9;
        this.shareContentTail = arg10;
        this.shareStyle = arg11;
        this.sharePicList = arg12;
        this.miniProgramInfo = arg13;
        this.captionKey = arg14;
    }

    public final void readFrom(c arg4) {
        this.shareUrl = arg4.b(0, false);
        this.shareTitle = arg4.b(1, false);
        this.shareSubtitle = arg4.b(2, false);
        this.shareImgUrl = arg4.b(3, false);
        this.circleShareKey = arg4.b(4, false);
        this.shareSingleTitle = arg4.b(5, false);
        this.shareContent = arg4.b(6, false);
        this.shareContentTail = arg4.b(7, false);
        this.shareStyle = arg4.a(this.shareStyle, 8, false);
        this.sharePicList = (ArrayList) arg4.a(ShareItem.cache_sharePicList, 9, false);
        this.miniProgramInfo = (MiniProgramInfo) arg4.a(ShareItem.cache_miniProgramInfo, 10, false);
        this.captionKey = arg4.b(11, false);
    }

    public final void writeTo(d arg3) {
        if(this.shareUrl != null) {
            arg3.a(this.shareUrl, 0);
        }

        if(this.shareTitle != null) {
            arg3.a(this.shareTitle, 1);
        }

        if(this.shareSubtitle != null) {
            arg3.a(this.shareSubtitle, 2);
        }

        if(this.shareImgUrl != null) {
            arg3.a(this.shareImgUrl, 3);
        }

        if(this.circleShareKey != null) {
            arg3.a(this.circleShareKey, 4);
        }

        if(this.shareSingleTitle != null) {
            arg3.a(this.shareSingleTitle, 5);
        }

        if(this.shareContent != null) {
            arg3.a(this.shareContent, 6);
        }

        if(this.shareContentTail != null) {
            arg3.a(this.shareContentTail, 7);
        }

        arg3.a(this.shareStyle, 8);
        if(this.sharePicList != null) {
            arg3.a(this.sharePicList, 9);
        }

        if(this.miniProgramInfo != null) {
            arg3.a(this.miniProgramInfo, 10);
        }

        if(this.captionKey != null) {
            arg3.a(this.captionKey, 11);
        }
    }

}
